<?php
/**
 * Typography Setting
 *
 * @package cleaning_services_agent
 */

// Typography Setting
$wp_customize->add_section(
    'cleaning_services_agent_typography_setting',
    array(
        'panel' => 'cleaning_services_agent_theme_options',
        'title' => esc_html__( 'Typography Setting', 'cleaning-services-agent' ),
    )
);

$wp_customize->add_setting(
    'cleaning_services_agent_site_title_font',
    array(
        'default'           => 'Work Sans',
        'sanitize_callback' => 'cleaning_services_agent_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'cleaning_services_agent_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'cleaning-services-agent' ),
        'section'  => 'cleaning_services_agent_typography_setting',
        'settings' => 'cleaning_services_agent_site_title_font',
        'type'     => 'select',
        'choices'  => cleaning_services_agent_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'cleaning_services_agent_site_description_font',
	array(
		'default'           => 'Work Sans',
		'sanitize_callback' => 'cleaning_services_agent_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'cleaning_services_agent_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'cleaning-services-agent' ),
		'section'  => 'cleaning_services_agent_typography_setting',
		'settings' => 'cleaning_services_agent_site_description_font',
		'type'     => 'select',
		'choices'  => cleaning_services_agent_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'cleaning_services_agent_header_font',
	array(
		'default'           => 'Play',
		'sanitize_callback' => 'cleaning_services_agent_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'cleaning_services_agent_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'cleaning-services-agent' ),
		'section'  => 'cleaning_services_agent_typography_setting',
		'settings' => 'cleaning_services_agent_header_font',
		'type'     => 'select',
		'choices'  => cleaning_services_agent_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'cleaning_services_agent_content_font',
	array(
		'default'           => 'Work Sans',
		'sanitize_callback' => 'cleaning_services_agent_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'cleaning_services_agent_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'cleaning-services-agent' ),
		'section'  => 'cleaning_services_agent_typography_setting',
		'settings' => 'cleaning_services_agent_content_font',
		'type'     => 'select',
		'choices'  => cleaning_services_agent_get_all_google_font_families(),
	)
);
